VnPortInfo Struct Reference

containing information about the port to be searched. More...

`#include <searcher.h>`

## Data Fields

char * | portName
| Contains the name of the port.
VnThread | thread
| VnThread object for callback purposes.
int32_t | baud
| Baud of the attached senosr, -1 for no sensor, -2 for error.
size_t | dataSize
| size of the data array
VnSerialPort * | port
| VnSerialPort object to handle communication to the sensor.
char | data [255]
| Array to store partial/completed communication data from the sensor.

## Detailed Description

containing information about the port to be searched.

The documentation for this struct was generated from the following file:

- searcher.h